server:
  port: 27891
  compression:
    enabled: true
spring:
  application:
    name: bookstore
  mvc:
    async:
      request-timeout: 3600000
  datasource:
    url: jdbc:mysql://mysql.lanyuanxiaoyao.com:43780/bookstore?useUnicode=true&characterEncoding=utf8&useSSL=false
    username: bookstore
    password: EzSn+RZ*x2&fHFh9kC+H
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    generate-ddl: false
    hibernate:
      ddl-auto: update
  main:
    banner-mode: off
  ai:
    openai:
      base-url: https://openrouter.ai/api/v1
      api-key: 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
      chat:
        options:
          model: "x-ai/grok-4.1-fast:free"
fenix:
  print-banner: false
liteflow:
  enable: false
  print-banner: false
  check-node-exists: false
  rule-source: flow.xml
